@import 'settings';
@import 'mixins';
@import 'typography';

.MainNav {
    position: fixed;
    z-index: $zindex-header;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    // Opacity transition
    opacity: 1;
    transition: opacity 0.5s;

    &:not(.menu-open) {
        z-index: -1;
        opacity: 0;
        transition: none;
    }

    // black overlay
    &::before {
        content: '';
        position: absolute;
        z-index: -1;
        top: -25px;
        left: -25px;
        width: calc(100% + 50px);
        height: calc(100% + 50px);
        background: transparentize($black, 0.85);
    }

    // open & close button
    &__button {
        position: fixed;
        z-index: $zindex-nav;
        top: 0;
        right: 0;
        padding: 12px 18px;
        font-size: 28px;
        line-height: 1em;
        color: $blue;
        transition: none !important;
        outline: none;

        .riverstreet-icon {
            transition: none !important;
        }

        @media #{$tablet} {
            padding: 14px 20px;
            font-size: 36px;

            &:hover {
                color: $blue;
            }
        }
    }

    // main content
    &__content {
        position: relative;
        z-index: 10;
        height: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        color: $white;

        a,
        button {
            color: $white;

            &:hover,
            &.active {
                color: $blue;
            }
        }
    }

    // nav links at top
    &__top-nav,
    &__nav-items {
        text-align: center;

        a,
        button {
            @include ui-type;
            display: inline-block;
            color: $white;

            &:hover,
            &.active {
                color: $blue;
            }
        }
    }


    &__nav-section {
        position: relative;
        width: 100%;
        height: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__work {
        text-align: center;
    }

    &__login {
        &__form {
            @include clearfix;
            position: relative;
            width: 380px;
            max-width: 100vw;
            padding: 0 10px;
        }

        @media #{$tablet} {
            padding: 0 20px;
        }
    }

    .nav-section-content {
        @include nav-type;

        a,
        button {
            display: block;
            color: $blue;
            line-height: 1.47;

            &:hover,
            &.active {
                color: $white;
            }
        }

        h2 {
            color: $white;
        }
    }

    .CircleLogo {
        position: fixed;
        top: 0;
        left: 0;
        z-index: $zindex-logo;
        display: block;
        border-color: transparentize($white, 0.80);

        > a {
            background: $white;
        }
    }

    @media #{$mobile-only} {
        &__top-nav {
            display: none;
        }

        &__nav-items {
            position: absolute;
            z-index: $zindex-nav;
            top: 0;
            left: 0;
            width: 100%;
            height: 100vh;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;

            &--isOpen {
                display: flex;
            }

            a,
            button {
                @include nav-type;
                line-height: 1;
                display: block;
                padding: 8px;
                margin-bottom: 1px;
                width: 100%;
            }
        }
    }

    @media #{$tablet} {
        &__button .icon-menu {
            display: none !important;
        }

        &__top-nav,
        &__nav-items {
            position: fixed;
            z-index: $zindex-modal;
            top: 0;
            left: 50%;
            transform: translateX(-50%);
            text-align: center;
            margin: 0 12px;
            padding: 24px 0;

            a,
            button {
                padding: 0 3px;
                margin: 0 8px;
            }
        }
    }
}

// color theme & blur effect
body.MainNav--isOpen {
    @include color-theme($white, $white, $blue, $blue);
    overflow-x: hidden;
    background: $gray-900;
}
